LibreOffice LibreOffice 26.2 SDK API Reference

Public Member Functions | List of all members
XTextListener Interface Referencepublished

makes it possible to receive text change events. More...

`import"XTextListener.idl";`

Inheritance diagram for XTextListener:

## Public Member Functions
void | textChanged ([in] com::sun::star::awt::TextEvent rEvent)
| is invoked when the text has changed. More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

makes it possible to receive text change events.

## Member Function Documentation

## ◆ textChanged()

void textChanged | ( | [in] com::sun::star::awt::TextEvent | rEvent | ) |

is invoked when the text has changed.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XTextListener.idl